'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _templateObject = _taggedTemplateLiteral(['\n    height: ', ';\n    border-radius: ', ';\n    min-width: ', ';\n    width: ', ';\n    border: none;\n    color: #fff;\n    background: ', ';\n    transition: background 0.5s;\n    &:hover {\n        cursor: pointer;\n        background: ', '\n    }\n    &:active {\n        outline: none;\n    }\n    &:focus {\n        outline: none;\n    }\n'], ['\n    height: ', ';\n    border-radius: ', ';\n    min-width: ', ';\n    width: ', ';\n    border: none;\n    color: #fff;\n    background: ', ';\n    transition: background 0.5s;\n    &:hover {\n        cursor: pointer;\n        background: ', '\n    }\n    &:active {\n        outline: none;\n    }\n    &:focus {\n        outline: none;\n    }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _polished = require('polished');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledButton = _styledComponents2.default.button(_templateObject, function (_ref) {
    var small = _ref.small,
        large = _ref.large;
    return small ? '30px' : large ? '40px' : '36px';
}, function (_ref2) {
    var small = _ref2.small,
        large = _ref2.large;
    return small ? '18px' : large ? '26px' : '22px';
}, function (_ref3) {
    var small = _ref3.small,
        large = _ref3.large;
    return small ? '100px' : large ? '180px' : '140px';
}, function (_ref4) {
    var width = _ref4.width;
    return width && width;
}, function (_ref5) {
    var color = _ref5.color;
    return color ? color : '#539ab7';
}, function (_ref6) {
    var color = _ref6.color;
    return (0, _polished.darken)(0.1, color ? color : '#539ab7');
});

var Button = function Button(_ref7) {
    var _ref7$type = _ref7.type,
        type = _ref7$type === undefined ? 'button' : _ref7$type,
        onClick = _ref7.onClick,
        defaultText = _ref7.defaultText,
        pendingText = _ref7.pendingText,
        pending = _ref7.pending,
        small = _ref7.small,
        large = _ref7.large,
        width = _ref7.width;


    return _react2.default.createElement(
        StyledButton,
        { type: type, onClick: onClick, large: large, small: small, width: width },
        pending ? pendingText : defaultText
    );

    // <button type={type} onClick={onClick}>{pending ? pendingText : defaultText}</button>;
};

Button.propTypes = {
    type: _propTypes2.default.string,
    defaultText: _propTypes2.default.string.isRequired,
    pendingText: _propTypes2.default.string,
    onClick: _propTypes2.default.func,
    pending: _propTypes2.default.bool,
    small: _propTypes2.default.bool,
    large: _propTypes2.default.bool
};

exports.default = Button;