'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n\n    font-weight: 700;\n    font-size: 22px;\n    color: #333;\n'], ['\n\n    font-weight: 700;\n    font-size: 22px;\n    color: #333;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Button = require('../../buttons/Button');

var _Button2 = _interopRequireDefault(_Button);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var FormHeader = _styledComponents2.default.h1(_templateObject);

var FormContainer = function (_React$Component) {
    _inherits(FormContainer, _React$Component);

    function FormContainer(props) {
        _classCallCheck(this, FormContainer);

        var _this = _possibleConstructorReturn(this, (FormContainer.__proto__ || Object.getPrototypeOf(FormContainer)).call(this, props));

        _this.state = _react2.default.Children.map(props.children, function (child) {

            return child.props.name;
        }).reduce(function (acc, name) {

            acc[name] = '';
            return acc;
        }, {});

        _this.onInputChange = _this.onInputChange.bind(_this);
        return _this;
    }

    _createClass(FormContainer, [{
        key: 'onInputChange',
        value: function onInputChange(_ref) {
            var target = _ref.target;

            this.setState(_defineProperty({}, target.name, target.value));
        }
    }, {
        key: 'onSubmit',
        value: function onSubmit(e) {
            e.preventDefault();
            console.log('submitting...');
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            //console.log(this.state)
            var _props = this.props,
                children = _props.children,
                defaultText = _props.defaultText,
                pendingText = _props.pendingText,
                headerText = _props.headerText;

            return _react2.default.createElement(
                'form',
                { onSubmit: this.onSubmit },
                _react2.default.createElement(
                    FormHeader,
                    null,
                    headerText
                ),
                _react2.default.Children.map(children, function (child) {
                    return _react2.default.createElement(child.type, Object.assign({}, child.props, { onChange: _this2.onInputChange, value: _this2.state[child.props.name] }));
                }),
                _react2.default.createElement(_Button2.default, {
                    type: 'submit',
                    defaultText: defaultText,
                    pendingText: pendingText,
                    large: true })
            );
        }
    }]);

    return FormContainer;
}(_react2.default.Component);

FormContainer.propTypes = {
    headerText: _propTypes2.default.string.isRequired,
    defaultText: _propTypes2.default.string.isRequired,
    pendingText: _propTypes2.default.string.isRequired,
    onSubmit: _propTypes2.default.func.isRequired
};

exports.default = FormContainer;