'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _TextInput = require('../TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PasswordInput = function (_Component) {
	_inherits(PasswordInput, _Component);

	function PasswordInput(props) {
		_classCallCheck(this, PasswordInput);

		var _this = _possibleConstructorReturn(this, (PasswordInput.__proto__ || Object.getPrototypeOf(PasswordInput)).call(this, props));

		_this.state = {
			showPassword: false
		};
		_this.toggleShowPassword = _this.toggleShowPassword.bind(_this);
		return _this;
	}

	_createClass(PasswordInput, [{
		key: 'toggleShowPassword',
		value: function toggleShowPassword() {
			this.setState(function (prevState) {
				return { showPassword: !prevState.showPassword };
			});
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    onChange = _props.onChange,
			    name = _props.name,
			    value = _props.value,
			    label = _props.label,
			    required = _props.required,
			    showPassword = _props.showPassword,
			    style = _props.style;

			return _react2.default.createElement(
				'div',
				{ style: Object.assign({}, style, { marginBottom: 30 }) },
				_react2.default.createElement(_TextInput2.default, {
					name: name,
					label: label,
					type: this.state.showPassword ? "text" : "password",
					value: value,
					required: required,
					onChange: onChange,
					style: { marginBottom: 5 }
				}),
				showPassword && _react2.default.createElement(
					'label',
					{ style: { marginBottom: 130 } },
					_react2.default.createElement('input', {
						style: { margin: 0 },
						onChange: this.toggleShowPassword,
						className: 'checkbox',
						type: 'checkbox' }),
					_react2.default.createElement(
						'span',
						{ style: { marginLeft: 5 } },
						'Show password'
					)
				)
			);
		}
	}]);

	return PasswordInput;
}(_react.Component);

PasswordInput.propTypes = {
	label: _propTypes2.default.string.isRequired,
	name: _propTypes2.default.string.isRequired,
	value: _propTypes2.default.string.isRequired,
	onChange: _propTypes2.default.func.isRequired,
	required: _propTypes2.default.bool,
	autoFocus: _propTypes2.default.bool,
	showPassword: _propTypes2.default.bool,
	style: _propTypes2.default.object
};

PasswordInput.defaultProps = {
	required: false,
	autoFocus: false,
	showPassword: true
};

exports.default = PasswordInput;