'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FooterList = require('./components/FooterList');

var _FooterList2 = _interopRequireDefault(_FooterList);

var _Wrapper = require('../Wrapper');

var _Wrapper2 = _interopRequireDefault(_Wrapper);

var _reactRouterDom = require('react-router-dom');

require('./footer.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var facebook = require('./icons/facebook_icon.svg');
var twitter = require('./icons/twitter_icon.svg');

var Footer = function Footer() {
    return _react2.default.createElement(
        'section',
        { className: 'me-footer app-center' },
        _react2.default.createElement(
            'div',
            { className: 'me-footer-container' },
            _react2.default.createElement(
                _FooterList2.default,
                { header: 'Company' },
                _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                        _reactRouterDom.Link,
                        { to: '/contact' },
                        'Contact us'
                    )
                )
            ),
            _react2.default.createElement(
                _FooterList2.default,
                { header: 'Courses' },
                _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                        _reactRouterDom.Link,
                        { to: '/course/compression' },
                        'Compression'
                    )
                ),
                _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                        _reactRouterDom.Link,
                        { to: '/course/eq' },
                        'EQ'
                    )
                ),
                _react2.default.createElement(
                    'li',
                    null,
                    _react2.default.createElement(
                        _reactRouterDom.Link,
                        { to: '/course/reverb' },
                        'Reverb'
                    )
                )
            ),
            _react2.default.createElement(
                _FooterList2.default,
                { header: 'Connect with us' },
                _react2.default.createElement(
                    _Wrapper2.default,
                    { layout: 'horizontal' },
                    _react2.default.createElement(
                        'li',
                        null,
                        _react2.default.createElement(
                            'a',
                            { href: 'https://www.facebook.com/Mixing-Ears-214759895669319' },
                            _react2.default.createElement('img', { src: facebook })
                        )
                    ),
                    _react2.default.createElement(
                        'li',
                        null,
                        _react2.default.createElement(
                            'a',
                            { href: 'https://twitter.com/mixingears' },
                            _react2.default.createElement('img', { src: twitter })
                        )
                    )
                ),
                _react2.default.createElement(
                    'p',
                    null,
                    '\xA9 2017 Mixing Ears'
                )
            )
        )
    );
};

exports.default = Footer;